package com.zehong.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 监测设备数据对象 t_gas_data
 *
 * @author zehong
 * @date 2026-04-16
 */
public class TGasData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 设备编号 */
    @Excel(name = "设备编号")
    private String number;

    /** 设备类型*/
    @Excel(name = "设备类型")
    private String type;


    /** 所属厂家：1如阳科技，2海康威视 */
    @Excel(name = "所属厂家",readConverterExp = "1=如阳科技,2=海康威视")
    private Integer company;

    /** 安装位置 */
    @Excel(name = "安装位置")
    private String position;

    /** ccid */
    @Excel(name = "ccid")
    private String ccid;

    /** imei */
    @Excel(name = "imei")
    private String imei;

    /** 联系人 */
    //@Excel(name = "联系人")
    private String contacts;

    /** $column.columnComment */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createdAt;

    /** $column.columnComment */
    @Excel(name = "经度")
    private BigDecimal longitude;

    /** $column.columnComment */
    @Excel(name = "纬度")
    private BigDecimal latitude;

    /**上报状态*/
    private String reportStatus;

    /**上报参数*/
    private String reportParam;

    /**上报时间*/
    private String reportTime;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCompany(Integer company)
    {
        this.company = company;
    }

    public Integer getCompany()
    {
        return company;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setNumber(String number)
    {
        this.number = number;
    }

    public String getNumber()
    {
        return number;
    }
    public void setPosition(String position)
    {
        this.position = position;
    }

    public String getPosition()
    {
        return position;
    }
    public void setCcid(String ccid)
    {
        this.ccid = ccid;
    }

    public String getCcid()
    {
        return ccid;
    }
    public void setImei(String imei)
    {
        this.imei = imei;
    }

    public String getImei()
    {
        return imei;
    }
    public void setContacts(String contacts)
    {
        this.contacts = contacts;
    }

    public String getContacts()
    {
        return contacts;
    }
    public void setCreatedAt(Date createdAt)
    {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt()
    {
        return createdAt;
    }
    public void setLongitude(BigDecimal longitude)
    {
        this.longitude = longitude;
    }

    public BigDecimal getLongitude()
    {
        return longitude;
    }
    public void setLatitude(BigDecimal latitude)
    {
        this.latitude = latitude;
    }

    public BigDecimal getLatitude()
    {
        return latitude;
    }

    public String getReportStatus() {
        return reportStatus;
    }

    public void setReportStatus(String reportStatus) {
        this.reportStatus = reportStatus;
    }

    public String getReportParam() {
        return reportParam;
    }

    public void setReportParam(String reportParam) {
        this.reportParam = reportParam;
    }

    public String getReportTime() {
        return reportTime;
    }

    public void setReportTime(String reportTime) {
        this.reportTime = reportTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("company", getCompany())
                .append("type", getType())
                .append("number", getNumber())
                .append("position", getPosition())
                .append("ccid", getCcid())
                .append("imei", getImei())
                .append("remark", getRemark())
                .append("contacts", getContacts())
                .append("createdAt", getCreatedAt())
                .append("longitude", getLongitude())
                .append("latitude", getLatitude())
                .toString();
    }
}
